"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = LoginForm;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _LoginForm = _interopRequireDefault(require("../../../styles/cspace-ui/LoginForm.css"));
var _LoginLink = _interopRequireDefault(require("./LoginLink"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const messages = (0, _reactIntl.defineMessages)({
  prompt: {
    "id": "loginForm.prompt",
    "defaultMessage": "Please sign in to continue."
  },
  expiredPrompt: {
    "id": "loginForm.expiredPrompt",
    "defaultMessage": "Your authorization has expired. Please renew your session to continue."
  },
  newWindowNote: {
    "id": "loginForm.newWindowNote",
    "defaultMessage": "(opens a new window)"
  },
  newWindowOpened: {
    "id": "loginForm.newWindowOpened",
    "defaultMessage": "Authorization is in progress in another browser window. You may be prompted to sign in again in that window."
  },
  newWindowError: {
    "id": "loginForm.newWindowError",
    "defaultMessage": "The authorization window could not be opened. Please allow pop-ups for this site."
  }
});
const propTypes = {
  isExpired: _propTypes.default.bool,
  openNewWindow: _propTypes.default.bool,
  showPrompt: _propTypes.default.bool
};
const defaultProps = {
  isExpired: false,
  openNewWindow: false,
  showPrompt: false
};
function LoginForm(props) {
  const {
    isExpired,
    openNewWindow,
    showPrompt
  } = props;
  const [isNewWindowOpened, setNewWindowOpened] = (0, _react.useState)();
  const [isNewWindowError, setNewWindowError] = (0, _react.useState)();
  let prompt = null;
  if (showPrompt) {
    const messageKey = isExpired ? 'expiredPrompt' : 'prompt';
    prompt = /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages[messageKey]));
  }
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _LoginForm.default.common
  }, isNewWindowOpened && /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.newWindowOpened), !isNewWindowOpened && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, prompt, /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_LoginLink.default, {
    isExpired: isExpired,
    openNewWindow: openNewWindow,
    onNewWindowOpen: () => setNewWindowOpened(true),
    onNewWindowError: () => setNewWindowError(true)
  }), openNewWindow && /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.newWindowNote))), isNewWindowError && /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.newWindowError));
}
LoginForm.propTypes = propTypes;
LoginForm.defaultProps = defaultProps;