"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isSuccess = exports.isPending = exports.getUsername = exports.getLandingPath = exports.getError = exports.getAuthCodeUrl = exports.default = void 0;
var _immutable = _interopRequireDefault(require("immutable"));
var _actionCodes = require("../constants/actionCodes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = (state = _immutable.default.Map(), action) => {
  switch (action.type) {
    case _actionCodes.AUTH_CODE_URL_CREATED:
      return state.clear().set('authCodeUrl', action.payload);
    case _actionCodes.LOGIN_STARTED:
      return state.clear().set('isPending', true);
    case _actionCodes.LOGIN_FULFILLED:
      return state.clear().set('isSuccess', true).set('landingPath', action.meta.landingPath).set('username', action.meta.username);
    case _actionCodes.LOGIN_REJECTED:
      return state.clear().set('error', _immutable.default.Map({
        code: action.payload.code,
        error: action.payload.error
      }));
    default:
      return state;
  }
};
exports.default = _default;
const isPending = state => state.get('isPending');
exports.isPending = isPending;
const isSuccess = state => state.get('isSuccess');
exports.isSuccess = isSuccess;
const getLandingPath = state => state.get('landingPath');
exports.getLandingPath = getLandingPath;
const getUsername = state => state.get('username');
exports.getUsername = getUsername;
const getError = state => state.get('error');
exports.getError = getError;
const getAuthCodeUrl = state => state.get('authCodeUrl');
exports.getAuthCodeUrl = getAuthCodeUrl;